
package de.ivu.elect.business.wahl.entity;

public interface WahlartErgebnisart {

  String name();

  boolean isEndgueltig();

  boolean isVorlaeufig();

  default String getTechnicalName() {
    return name();
  }

  default boolean equalsErgebnisart(WahlartErgebnisart another) {
    return another != null && (isVorlaeufig() && another.isVorlaeufig() || isEndgueltig() && another.isEndgueltig());
  }
}
